EDIT - bug #7956

RegistrationWorkingsetEditor refresh problem after saving TaxonNameEditor
12/17/2018 11:51 AM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal Found in Version:

Description

Reported by Heba (release version):

Working set: http://api.cybertaxonomy.org/phycobank/app/reqistration#!workingset/792408c2-5317-458a-9012-9324cc087470

A new name with basionym was entered. The basionym was saved and the new name was saved.

The list in the working set editor showed the new name but was lacking the Author in parenthesis as well as the blocking registration.
As workaround the working set was closed and newly chosen under "new reference", "continue" showed now the name with author in
parenthesis and the blockin registration.

Related issues:
Related to EDIT - feature request #7548: RegistrationWorkingSetEditor loads s... In Progress

Associated revisions

Revision 6e995b1e - 12/20/2018 04:19 PM - Andreas Kohlbecker
fix #7956 adding lost refreshView

History

#1 - 12/19/2018 10:25 AM - Andreas Kohlbecker

- Subject changed from Update problem, blocked basionym not shown after saving to RegistrationWorkingsetEditor refresh problem after saving
TaxonNameEditor

- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.5

This seems to be an update problem with the workingset. Didi you try a reload of the page after saving the editor, | would expect that reloading the
page should help.

#2 - 12/19/2018 10:25 AM - Andreas Kohlbecker
- Related to feature request #7548: RegistrationWorkingSetEditor loads slowly with big working sets added

#3 - 12/19/2018 10:31 AM - Wolf-Henning Kusber

No reload, but open name again to look up if the not displayed data have been databased. Not sure if save or cancle was pressed. Back to the
workingset page the data was not updated.

#4 - 12/19/2018 12:05 PM - Andreas Kohlbecker
So this supports my thesis.

#5 - 12/20/2018 04:19 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|6e995b1e3d57b22f0dbd925955d64 7fea233a985.

#6 - 12/20/2018 04:19 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed
http://api.cybertaxonomy.org/phycobank/app/registration#!workingset/792408c2-5317-458a-9012-9324cc087470
- % Done changed from 50 to 100

solved
